@use '/src/mainColor' as *;
@use '/src/mediaQuery' as *;

@font-face {
  font-family: 'valera';
  src: url(../fonts/valera.ttf);
}
@font-face {
  font-family: 'patchSans';
  src: url(../fonts/PatchSans.ttf);
}

@include for-desktop {
  
  ::-webkit-scrollbar {
    width: 8px;
    height: 8px;
  }
  
  ::-webkit-scrollbar-thumb {
    background: mainColor(25%);
    border-radius: 5px;
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background: mainColor(5%);
  }
  
  ::-webkit-scrollbar-track {
    background: transparent;
  }
  
}

:root {
  font-size: 90%;
}

* {
  box-sizing: border-box;
  direction: rtl;
}

*::selection {
  background: mainColor(60%, .4);
}

body {
  overflow: hidden;
  margin: 0;
  font-family: valera, -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
}

a {
  color: unset;
  text-decoration: none;
}

ul {
  list-style: none;
  padding: 0;
}

h1,h2,h3,h4 {
  text-align: center;
}

button {
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  background: none;
  color: inherit;
  border: none;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
  padding: 0;  
}

input {
  font-family: inherit;
}